Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## dynamicbees
Class BeeEnvironment

    java.lang.Object
      madkit.kernel.AbstractAgent
          madkit.kernel.Watcher
              dynamicbees.BeeEnvironment

All Implemented Interfaces:
  java.io.Serializable, ReferenceableAgent

    public class BeeEnvironment

extends Watcher
implements ReferenceableAgent

Version:
  2.0
Author:
  Fabien MICHEL 01/02/2001
See Also:
  Serialized Form

Constructor Summary
`BeeEnvironment()`
`BeeEnvironment(int width, int height)`

Method Summary
`void` | `activate()` This method is initially called when the micro-kernel registers the agent.
`void` | `end()` This method is called by the agent micro-kernel at the end of the agent lifecycle.
`int` | `getBeeAcceleration()`
`int` | `getBeeVelocity()`
`int` | `getHeight()`
`int` | `getQueenAcceleration()`
`int` | `getQueenVelocity()`
`int` | `getWidth()`
`void` | `setBeeAcceleration(int add)`
`void` | `setBeeVelocity(int add)`
`void` | `setHeight(int add)`
`void` | `setQueenAcceleration(int add)`
`void` | `setQueenVelocity(int add)`
`void` | `setWidth(int add)`
`void` | `updateBees(Bee[] b)`
`void` | `updateQueenBees(QueenBee[] qb)`

Methods inherited from class madkit.kernel.Watcher
`addProbe, addProbe, getProbes, removeAllProbes, removeProbe, update`

Methods inherited from class madkit.kernel.AbstractAgent
`broadcastMessage, broadcastMessage, connectedWithCommunity, createGroup, createGroup, debug, disposeMyGUI, foundGroup, getAddress, getAgentInformation, getAgentsWithRole, getAgentsWithRole, getAgentWithRole, getAgentWithRole, getAvailableCommunities, getBean, getController, getCurrentKernelAddress, getDebug, getExistingGroups, getExistingGroups, getExistingRoles, getExistingRoles, getGroups, getGUIObject, getMessageBoxSize, getMyGroups, getMyGroups, getMyRoles, getMyRoles, getName, getRoles, hasGUI, initGUI, isBelongingToGroup, isBelongingToGroup, isCommunity, isGroup, isGroup, isMemberOf, isMemberOf, isMessageBoxEmpty, isRole, isRole, joinGroup, killAgent, launchAgent, launchAgent, leaveGroup, leaveGroup, leaveRole, leaveRole, nextMessage, print, println, receiveMessage, redisplayMyGUI, requestRole, requestRole, requestRole, restoreAgent, sendMessage, sendMessage, sendMessage, setBean, setController, setDebug, setGUIObject, setName, setOutput, setOutputWriter, windowClosing`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BeeEnvironment

    public BeeEnvironment()

### BeeEnvironment

    public BeeEnvironment(int width,
                          int height)

Method Detail

### setWidth

    public void setWidth(int add)

### getWidth

    public int getWidth()

### setHeight

    public void setHeight(int add)

### getHeight

    public int getHeight()

### setQueenAcceleration

    public void setQueenAcceleration(int add)

### getQueenAcceleration

    public int getQueenAcceleration()

### setQueenVelocity

    public void setQueenVelocity(int add)

### getQueenVelocity

    public int getQueenVelocity()

### setBeeAcceleration

    public void setBeeAcceleration(int add)

### getBeeAcceleration

    public int getBeeAcceleration()

### setBeeVelocity

    public void setBeeVelocity(int add)

### getBeeVelocity

    public int getBeeVelocity()

### updateQueenBees

    public void updateQueenBees(QueenBee[] qb)

### updateBees

    public void updateBees(Bee[] b)

### activate

    public void activate()

  Description copied from class: `AbstractAgent`
  This method is initially called when the micro-kernel registers the agent. Usually a good place to set up some initial groups and roles.

  Overrides:
    `activate` in class `AbstractAgent`

### end

    public void end()

  Description copied from class: `AbstractAgent`
  This method is called by the agent micro-kernel at the end of the agent lifecycle. If the the agent is killed from the outside, it is the last opportunity for the agent to cleanly shutdown its operations.

  Overrides:
    `end` in class `Watcher`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.